/*
 * C'Gol
 * Project based on Conway's Game of Life
 * 
 * Made by:
 * Alexander Noss
 * Christian Rautenberg
 * David Zentner
 * Philipp Erler
 * Stephan Schneider
 * 
 * As IT project for summer-semester 2011 (Group IT2D)
 * 
 * ####################################################################
 * File Operations
 * Part of C'Gol C-DLL
 * ####################################################################
 * 
 * Last change:     2011 | 07 | 04
 * 
 * Mail me for feedback, version requests etc.: 	ph.erler@gmx.net
 * Look at http://www.hs-esslingen.de/~pherit00/website/index.htm
 * .Net - Framework 4.0 must be installed.
 * 
 */


#ifndef FILEOP_H_
	#define FILEOP_H_

	#include <stdio.h>
	#include <stdlib.h>
	#include "globals.h"
	#include "base.h"

	//Loads specific txt-file and write it into a new field
	//needs number from 0 to 9 as character 
	extern __declspec(dllexport) int loadField(char filenumber);
	
	//Saves the field in a txt-file
	extern __declspec(dllexport) int saveField(char fileNum); 

#endif